Skip to content
Start here

Update a device posture integration

PATCH/accounts/{account_id}/devices/posture/integration/{integration_id}

Updates a configured device posture integration.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
Path ParametersExpand Collapse
account_id: optional string
integration_id: string

API UUID.

maxLength36
Body ParametersJSONExpand Collapse
config: optional object { api_url, auth_url, client_id, client_secret } or object { api_url, client_id, client_secret, customer_id } or object { api_url, client_key, client_secret, customer_id } or 5 more

The configuration object containing third-party integration information.

One of the following:
TeamsDevicesWorkspaceOneConfigRequest object { api_url, auth_url, client_id, client_secret }
api_url: string

The Workspace One API URL provided in the Workspace One Admin Dashboard.

auth_url: string

The Workspace One Authorization URL depending on your region.

client_id: string

The Workspace One client ID provided in the Workspace One Admin Dashboard.

client_secret: string

The Workspace One client secret provided in the Workspace One Admin Dashboard.

TeamsDevicesCrowdstrikeConfigRequest object { api_url, client_id, client_secret, customer_id }
api_url: string

The Crowdstrike API URL.

client_id: string

The Crowdstrike client ID.

client_secret: string

The Crowdstrike client secret.

customer_id: string

The Crowdstrike customer ID.

TeamsDevicesUptycsConfigRequest object { api_url, client_key, client_secret, customer_id }
api_url: string

The Uptycs API URL.

client_key: string

The Uptycs client secret.

client_secret: string

The Uptycs client secret.

customer_id: string

The Uptycs customer ID.

TeamsDevicesIntuneConfigRequest object { client_id, client_secret, customer_id }
client_id: string

The Intune client ID.

client_secret: string

The Intune client secret.

customer_id: string

The Intune customer ID.

TeamsDevicesKolideConfigRequest object { client_id, client_secret }
client_id: string

The Kolide client ID.

client_secret: string

The Kolide client secret.

TeamsDevicesTaniumConfigRequest object { api_url, client_secret, access_client_id, access_client_secret }
api_url: string

The Tanium API URL.

client_secret: string

The Tanium client secret.

access_client_id: optional string

If present, this id will be passed in the CF-Access-Client-ID header when hitting the api_url.

access_client_secret: optional string

If present, this secret will be passed in the CF-Access-Client-Secret header when hitting the api_url.

TeamsDevicesSentineloneS2sConfigRequest object { api_url, client_secret }
api_url: string

The SentinelOne S2S API URL.

client_secret: string

The SentinelOne S2S client secret.

TeamsDevicesCustomS2sConfigRequest object { access_client_id, access_client_secret, api_url }
access_client_id: string

This id will be passed in the CF-Access-Client-ID header when hitting the api_url.

access_client_secret: string

This secret will be passed in the CF-Access-Client-Secret header when hitting the api_url.

api_url: string

The Custom Device Posture Integration API URL.

interval: optional string

The interval between each posture check with the third-party API. Use m for minutes (e.g. 5m) and h for hours (e.g. 12h).

name: optional string

The name of the device posture integration.

type: optional "workspace_one" or "crowdstrike_s2s" or "uptycs" or 5 more

The type of device posture integration.

One of the following:
"workspace_one"
"crowdstrike_s2s"
"uptycs"
"intune"
"kolide"
"tanium_s2s"
"sentinelone_s2s"
"custom_s2s"
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: Integration { id, config, interval, 2 more }
id: optional string

API UUID.

maxLength36
config: optional object { api_url, auth_url, client_id }

The configuration object containing third-party integration information.

api_url: string

The Workspace One API URL provided in the Workspace One Admin Dashboard.

auth_url: string

The Workspace One Authorization URL depending on your region.

client_id: string

The Workspace One client ID provided in the Workspace One Admin Dashboard.

interval: optional string

The interval between each posture check with the third-party API. Use m for minutes (e.g. 5m) and h for hours (e.g. 12h).

name: optional string

The name of the device posture integration.

type: optional "workspace_one" or "crowdstrike_s2s" or "uptycs" or 5 more

The type of device posture integration.

One of the following:
"workspace_one"
"crowdstrike_s2s"
"uptycs"
"intune"
"kolide"
"tanium_s2s"
"sentinelone_s2s"
"custom_s2s"
success: true

Whether the API call was successful.

Update a device posture integration

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/devices/posture/integration/$INTEGRATION_ID \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "config": {
            "api_url": "https://as123.awmdm.com/API",
            "auth_url": "https://na.uemauth.workspaceone.com/connect/token",
            "client_id": "example client id",
            "client_secret": "example client secret"
          },
          "interval": "10m",
          "name": "My Workspace One Integration",
          "type": "workspace_one"
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "config": {
      "api_url": "https://as123.awmdm.com/API",
      "auth_url": "https://na.uemauth.workspaceone.com/connect/token",
      "client_id": "example client id"
    },
    "interval": "10m",
    "name": "My Workspace One Integration",
    "type": "workspace_one"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "config": {
      "api_url": "https://as123.awmdm.com/API",
      "auth_url": "https://na.uemauth.workspaceone.com/connect/token",
      "client_id": "example client id"
    },
    "interval": "10m",
    "name": "My Workspace One Integration",
    "type": "workspace_one"
  },
  "success": true
}